collect-hwids(1)

NAME
collect-hwids - Tool to collect CHIDs from a running system

SYNOPSIS
collect-hwids [-o|--output] [-h|--help] [-V|--version]

DESCRIPTION
collect-hwids reads system hardware information (SMBIOS tables and EDID data) and generates Computer Hardware IDs (CHIDs).

The tool outputs CHID information to stdout and optionally creates a ZIP archive containing the raw hardware data for use in firmware update metadata or debugging.

OPTIONS

-o, --output <FILE>
    Output path for HWIDs ZIP archive

    Creates a ZIP archive containing SMBIOS tables, EDID data, and computed CHIDs. The archive can be used for firmware update metadata generation or for debugging hardware identification issues. If not specified, only CHID information is written to stdout.

-h, --help
    Print help (see a summary with '-h')

-V, --version
    Print version

VERSION
v0.1.0